Search a knowledge base by natural-language query
curl --request POST \
--url https://api.example.com/knowledge_bases/{knowledge_base_id}/search \
--header 'Content-Type: application/json' \
--header 'x-user-id: <x-user-id>' \
--data '
{
"query": "<string>",
"top_k": 5
}
'import requests
url = "https://api.example.com/knowledge_bases/{knowledge_base_id}/search"
payload = {
"query": "<string>",
"top_k": 5
}
headers = {
"x-user-id": "<x-user-id>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-user-id': '<x-user-id>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', top_k: 5})
};
fetch('https://api.example.com/knowledge_bases/{knowledge_base_id}/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"score": 123,
"document_id": "<string>",
"chunk": {
"content": {
"text": "<string>",
"type": "text",
"id": "<string>"
},
"source": "<string>",
"chunk_index": 123,
"total_chunks": 123,
"metadata": {}
}
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}knowledge_bases
Search a knowledge base by natural-language query
Run a similarity search over a knowledge base.
Embeds the query with the knowledge base’s configured embedding model and returns the top-K most similar chunks.
Args:
body (SearchKnowledgeBaseRequest):
The query text and top_k.
knowledge_base_id (str):
The knowledge base to search.
user_id (str):
Injected authenticated user ID.
service (KnowledgeBaseService):
Injected knowledge base service.
Returns:
SearchKnowledgeBaseResponse:
Matched chunks ordered by descending similarity.
POST
/
knowledge_bases
/
{knowledge_base_id}
/
search
Search a knowledge base by natural-language query
Headers
Caller's user ID. Temporary header-based identity; will be replaced by JWT auth.
Path Parameters
The knowledge base id.
Body
application/json